mod api;
mod cli;
mod config;
pub mod db;
mod error;
mod repo;

pub use config::{Config, DbConfig, FsConfig};
pub use error::{Result, ServerError};

use std::sync::Arc;

use clap::Parser;

pub const ANY_ARCH: &'static str = "any";

#[derive(Clone)]
pub struct Global {
    config: crate::config::Config,
    mgr: Arc<repo::RepoMgr>,
    db: sea_orm::DbConn,
}

#[tokio::main]
async fn main() -> crate::Result<()> {
    let cli = cli::Cli::parse();
    cli.run().await
}
